Subject: Re: 83xx, ELDK 2.6.23, IP-Config: No network devices

From: Vitaly Bordug <[email-masked]>
Date: Mon, 31 Dec 2007 11:14:43 +0300

On Sun, 30 Dec 2007 16:51:44 -0800
Russell McGuire wrote:

> 1) Is there some basic kernel feature I am missing? I have enabled
> the GIGE UEC GETH driver in the kernel.  Perhaps a PHY LIB? Isn't
> generic MII supported by default?
> 
yes you will need phylib

> 2) Is there something in the startup board files, that I need to add
> to register my PHY like an of_put_node()? Again I have pretty much
> copied the MPC8360E MDS board and it is starting, and defining the
> par_io port already, except that my PHY ID <on the iC2 bus, is using
> dev ID 0x01>. However, I don't see the probe function being called,
> so I don't think this is a concern yet.
I think you will need to write a driver for your specific PHY access to get it covered by phy abstraction layer.
Generic mii thing is useful when it has access to phy regs somehow (live examples are some BCM phys that do not have specs
available but the thing works using generic mii and standard phy regs).

-- 
Sincerely, Vitaly